Page MenuHomePhabricator

Inconsistent use of "+ add …" in Wikidata Item view UI
Closed, ResolvedPublic

Description

In the Wikidata Item View UI are several widgets to add data.
Some indicate what they will add (reference, qualifier), while some don't (statement). We should be clear on that in all possible cases.

Suggestion: Introduce "Add statement"/"Add property"

NOW:

SUGGESTED:

Open question: It is possible to add a completely new property/statement or to add a statement to an existing property.
I assume we could call them "add property" (all new) and "add statement" (if we add an additional statement to an existing property on the item, e.g. yet another club a football player played for) – but I might mess up existing terminology here.

General Principles: »I want to know what an interaction causes« (principle of least surprise) and »stick to standards«

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 14 2016, 7:24 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.Aug 18 2016, 9:37 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

We have purposefully removed it there to reduce clutter in the UI. Do we have some way to solve the issue without cluttering the UI more?

Restricted Application added a project: Design. · View Herald TranscriptAug 18 2016, 9:37 AM
Lydia_Pintscher triaged this task as Low priority.Aug 18 2016, 9:38 AM
  • We already talked about tooltips to make all the different "remove" buttons much easier to distinguish. We could also add tooltips to these "add" buttons. This will not solve the problem for all users, but it might help.
  • I also suggest to change the label of the very last "add" button to "add new statement". This will not clutter the UI much because this is only 1 link per section (currently 2).
Volker_E moved this task from Incoming to WMDE on the Design board.Jan 5 2017, 5:37 PM

This problem came up in our 2017-07 Usability test: T170385

The UX team suggests a clarifying the text of the links; While I understand the fear of cluttering the UI, this would be graphically not a very much cluttering option and would give the UI needed semantics.

thiemowmde added a subscriber: Jakob_WMDE.

@Jakob_WMDE (CC @Jonas), this is literally a two-line patch to two existing messages:

  • wikibase-statementlistview-add
  • wikibase-statementgrouplistview-add

We introduced these separate messages a long time ago. I think this was when we added the tooltips to distinguish the "add" buttons better.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 2:11 PM
Jakob_WMDE moved this task from Proposed to Doing on the Wikidata-Former-Sprint-Board board.

Change 369627 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Make add buttons for statements and values clearer.

https://gerrit.wikimedia.org/r/369627

Change 369627 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make add buttons for statements and values clearer.

https://gerrit.wikimedia.org/r/369627

Lydia_Pintscher closed this task as Resolved.Aug 28 2017, 12:44 PM